require 'spec_helper'

module SubscriptionTest
  describe 'Subscription node' do
    include_context 'request metadata'

    before(:all) do
      @subscription_id = 'crn:2017:subscription/4c1f3bd0-3bbe-4260-98d0-3de1965d7ad5'
      @subscription_id = 'crn:57534:subscription/98c44dea-25be-4706-9c7a-f9a040a8dee5' if ENV['TEST_ENV'].eql? 'preprod'
      @failures = []
    end
    it 'can get details of an existing subscription' do
      wrap_request do
        variables = {}
        graphql url(service: service),
                format_request(
                  :node,
                  service: service,
                  crn: @subscription_id,
                  type: 'CHSubscription',
                  fields: 'id name startDate endDate status lastInvocationResult'
                ),
                variables, headers
        expect_success_graphql
        check(:node, service: service)
        @failures << "Not able to get subscription details for subscription #{@subscription_id}" if json_body[:data][:node].nil?
        expect(@failures).to eq([])
      end
    end
  end
end
